Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.interaction.forms
Class Field

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.interaction.forms.Field

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

Direct Known Subclasses:
  ButtonField, ChoiceField, SignatureField, TextField

    @PDF(value=PDF12)
    public abstract class Field

extends PdfObjectWrapper<PdfDictionary>

Interactive form field [PDF:1.6:8.6.2].

Since:
  0.0.7
Version:
  0.1.2, 12/28/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary
`static class` | `Field.FlagsEnum` Field flags [PDF:1.6:8.6.2].

Constructor Summary
`protected` | `Field(PdfDirectObject baseObject)`
`protected` | `Field(PdfName fieldType, String name, Widget widget)` Creates a new field within the given document context.

Method Summary
`FieldActions` | `getActions()` Gets the field's behavior in response to trigger events.
`protected PdfString` | `getDefaultAppearanceState()`
`Object` | `getDefaultValue()` Gets the default value to which this field reverts when a `reset-form action` is executed.
`EnumSet<Field.FlagsEnum>` | `getFlags()` Gets the field flags.
`String` | `getFullName()` Gets the fully-qualified field name.
`protected PdfDirectObject` | `getInheritableAttribute(PdfName key)`
`String` | `getName()` Gets the partial field name.
`Object` | `getValue()` Gets the field value.
`FieldWidgets` | `getWidgets()` Gets the widget annotations that are associated with this field.
`boolean` | `isExportable()` Gets whether the field is exported by a submit-form action.
`boolean` | `isReadOnly()` Gets whether the user may not change the value of the field.
`boolean` | `isRequired()` Gets whether the field must have a value at the time it is exported by a submit-form action.
`void` | `setActions(FieldActions value)`
`void` | `setExportable(boolean value)`
`void` | `setFlags(EnumSet<Field.FlagsEnum> value)`
`void` | `setName(String value)`
`void` | `setReadOnly(boolean value)`
`void` | `setRequired(boolean value)`
`void` | `setValue(Object value)`
`static Field` | `wrap(PdfReference reference)` Wraps a field reference into a field object.

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, clone, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Field

    protected Field(PdfName fieldType,
                    String name,
                    Widget widget)

  Creates a new field within the given document context.

### Field

    protected Field(PdfDirectObject baseObject)

Method Detail

### wrap

    public static final Field wrap(PdfReference reference)

  Wraps a field reference into a field object.

  Parameters:
    `reference` - Reference to a field object.
  Returns:
    Field object associated to the reference.

### getActions

    public FieldActions getActions()

  Gets the field's behavior in response to trigger events.

### getDefaultValue

    public Object getDefaultValue()

  Gets the default value to which this field reverts when a `reset-form action` is executed.

### getFlags

    public EnumSet<Field.FlagsEnum> getFlags()

  Gets the field flags.

### getFullName

    public String getFullName()

  Gets the fully-qualified field name.

### getName

    public String getName()

  Gets the partial field name.

### getValue

    public Object getValue()

  Gets the field value.

### getWidgets

    public FieldWidgets getWidgets()

  Gets the widget annotations that are associated with this field.

### isExportable

    public boolean isExportable()

  Gets whether the field is exported by a submit-form action.

### isReadOnly

    public boolean isReadOnly()

  Gets whether the user may not change the value of the field.

### isRequired

    public boolean isRequired()

  Gets whether the field must have a value at the time it is exported by a submit-form action.

### setActions

    public void setActions(FieldActions value)

  See Also:
    `getActions()`

### setExportable

    public void setExportable(boolean value)

  See Also:
    `isExportable()`

### setFlags

    public void setFlags(EnumSet<Field.FlagsEnum> value)

  See Also:
    `getFlags()`

### setName

    public void setName(String value)

  See Also:
    `getName()`

### setReadOnly

    public void setReadOnly(boolean value)

  See Also:
    `isReadOnly()`

### setRequired

    public void setRequired(boolean value)

  See Also:
    `isRequired()`

### setValue

    public void setValue(Object value)

  See Also:
    `getValue()`

### getDefaultAppearanceState

    protected PdfString getDefaultAppearanceState()

### getInheritableAttribute

    protected PdfDirectObject getInheritableAttribute(PdfName key)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.